Cria ou executa coupons
POST/api/coupons
- Auth
- Token erforderlich
- X-CommunityId
X-CommunityIdSende die X-CommunityId der Community, in der die Operation stattfindet.
Die Beschreibungen der Endpoints stammen aus der API-Spezifikation und sind vorerst auf Portugiesisch. Die Oberfläche drumherum ist übersetzt.
Header
| Name | Typ | Beschreibung |
|---|---|---|
X-CommunityIdoptional | string (uuid) | ID da comunidade em que a operação acontece. Obrigatório na maioria dos endpoints com escopo de comunidade. |
Request-Body application/json
| Name | Typ | Beschreibung |
|---|---|---|
codePflicht | string | Coupon code is required |
namePflicht | string | Name is required |
descriptionoptional | string | |
typePflicht | PERCENTAGE | FIXED | FREE_TRIAL | Invalid coupon type |
discountValuePflicht | number | Discount value must be positive |
maxDiscountoptional | number | |
trialExtensionDaysoptional | integer | |
durationPflicht | ONCE | FOREVER | REPEATING | Invalid duration |
durationInMonthsoptional | integer | |
maxUsesoptional | integer | |
maxUsesPerUseroptional | integer | |
startDatePflicht | string (date-time) | Valid start date required |
endDateoptional | string (date-time) | |
restrictionoptional | NONE | FIRST_PURCHASE | NEW_CUSTOMER | |
minPurchaseAmountoptional | number | |
applicableProductsoptional | —[] | |
excludedProductsoptional | —[] | |
applicableToOneTimeoptional | boolean | |
applicableToSubscriptionoptional | boolean | |
applicableToInstallmentoptional | boolean | |
isStackableoptional | boolean |
Antworten
| Status | Beschreibung |
|---|---|
201 | Operação realizada com sucesso. |
400 | Requisição inválida — falha de validação. |
401 | Token ausente, inválido ou expirado. |
403 | Autenticado, mas sem permissão para esta operação. |
404 | Recurso não encontrado. |
500 | Erro interno do servidor. |
curl-Beispiel
curl -X POST "https://api.memberfy.net/api/coupons" \
-H "Authorization: Bearer $TOKEN" \
-H "X-CommunityId: $COMMUNITY_ID" \
-H "Content-Type: application/json" \
-d '{"code":"string","name":"string","type":"PERCENTAGE","discountValue":10,"duration":"ONCE","startDate":"2026-01-01T12:00:00.000Z"}'